# Class UiBinding.CheckBoxRadioSelectionAdapter<PropertyType>

java.lang.Object
com.codename1.properties.UiBinding.ComponentAdapter<PropertyType, Button>
com.codename1.properties.UiBinding.CheckBoxRadioSelectionAdapter<PropertyType>

Enclosing class:
  `UiBinding`

public static class UiBinding.CheckBoxRadioSelectionAdapter<PropertyType> extends UiBinding.ComponentAdapter<PropertyType, Button>

Adapts a `com.codename1.ui.CheckBox` or `com.codename1.ui.RadioButton` to binding

##### Parameters

- `the`: type of the property generic

- ## Field Summary

  ### Fields inherited from class UiBinding.ComponentAdapter

  `toComponentType, toPropertyType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CheckBoxRadioSelectionAdapter(UiBinding.ObjectConverter toPropertyType)`
  Constructs a new binding

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `assignTo(PropertyType value, Button cmp)`
  Assigns the value from the property into the component
  `void`
  `bindListener(Button cmp, ActionListener<ActionEvent> l)`
  Binds an action listener to changes in the component
  `PropertyType`
  `getFrom(Button cmp)`
  Returns the value for the set method of the property from the given component
  `void`
  `removeListener(Button cmp, ActionListener<ActionEvent> l)`
  Removes the action listener from changes in the component

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CheckBoxRadioSelectionAdapter

    public CheckBoxRadioSelectionAdapter(UiBinding.ObjectConverter toPropertyType)

    Constructs a new binding

    ###### Parameters

    - `toPropertyType`: the conversion logic to the property

- ## Method Details

  - ### assignTo

    public void assignTo(PropertyType value, Button cmp)
    Description copied from class: `UiBinding.ComponentAdapter`

    Assigns the value from the property into the component

    ###### Parameters

    - `value`: the value that was returned from the property get method

    - `cmp`: the component instance

    Specified by:
      `assignTo` in class `UiBinding.ComponentAdapter<PropertyType, Button>`

  - ### getFrom

    public PropertyType getFrom(Button cmp)
    Description copied from class: `UiBinding.ComponentAdapter`

    Returns the value for the set method of the property from the given component

    ###### Parameters

    - `cmp`: the component

    ###### Returns

    the value we can place into the set method

    Specified by:
      `getFrom` in class `UiBinding.ComponentAdapter<PropertyType, Button>`

  - ### bindListener

    public void bindListener(Button cmp, ActionListener<ActionEvent> l)
    Description copied from class: `UiBinding.ComponentAdapter`

    Binds an action listener to changes in the component

    ###### Parameters

    - `cmp`: the component

    - `l`: listener

    Specified by:
      `bindListener` in class `UiBinding.ComponentAdapter<PropertyType, Button>`

  - ### removeListener

    public void removeListener(Button cmp, ActionListener<ActionEvent> l)
    Description copied from class: `UiBinding.ComponentAdapter`

    Removes the action listener from changes in the component

    ###### Parameters

    - `cmp`: the component

    - `l`: listener

    Specified by:
      `removeListener` in class `UiBinding.ComponentAdapter<PropertyType, Button>`